# List Serverless clusters

**GET /v1/serverless/clusters**

List Redpanda Serverless clusters. The `filter.` query string parameters find matching clusters that meet all specified conditions.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **read_mask** (string)

- **filter.state_in** (array[string])
  States of Serverless cluster.

   - STATE_PLACING: Serverless cluster is in the process of being placed on a cell with sufficient resources in the data plane.
   - STATE_CREATING: Serverless cluster is in the process of having its control plane state created.
   - STATE_READY: Serverless cluster is in execution and accepting external requests.
   - STATE_DELETING: Serverless cluster is in the process of having its control plane state removed. Resources dedicated to the cluster in the data plane will be released.
   - STATE_FAILED: Serverless cluster was unable to enter the ready state from either the creating or placing states.
   - STATE_SUSPENDED: Serverless cluster is in execution but blocks all external requests.
- **filter.resource_group_id** (string)
  Resource group ID of Serverless cluster.
- **filter.name_contains** (string)
  Name of cluster. Partial match.
- **filter.serverless_region** (string)
  Region in which Serverless cluster is hosted
- **filter.private_link_id** (string)
  Private link ID of Serverless cluster
- **page_size** (integer(int32))
  Limit the paginated response to a number of items.
- **page_token** (string)
  Value of the next_page_token field returned by the previous response. If not provided, the system assumes the first page is requested.


## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)
  Page Token to fetch the next page. The value can be used as next_page_token in the next call to this endpoint.
- **serverless_clusters** (array[object])
  Serverless clusters matching the request

### 500
Internal Server Error. Please reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
